[package]
name = "tg-dev-srv-bot"
version = "0.1.2"
edition = "2024"
license = "GPL-3.0-or-later"
description = "Bot for the TeenGovernment Development Server"
authors = ["Elias Wendland <eliaswendland@pm.me"]
readme = "README.md"
repository = "https://git.ewenlau.net/ewenlau/tg-dev-srv-bot"
homepage = "https://git.ewenlau.net/ewenlau/tg-dev-srv-bot"

[dependencies]
dotenv = "0.15.0"
exmex = "0.21.0"
f128 = "0.2.9"
f256 = "0.11.2"
num-traits = "0.2.19"
poise = "0.6.2"
regex = "1.12.4"
rug = "1.30.0"
serenity = "0.12.5"
sqlx = { version = "0.9.0", features = ["postgres", "runtime-tokio", "macros"] }
tokio = { version = "1.52.3", features = ["full"] }
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }

[dev-dependencies]
rand = "0.10.2"
